## ros-indigo-baxter-interface 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(baxter_interface)

find_package(catkin
  REQUIRED
  COMPONENTS
  rospy
  actionlib
  sensor_msgs
  std_msgs
  control_msgs
  trajectory_msgs
  dynamic_reconfigure
  baxter_core_msgs
)

catkin_python_setup()

generate_dynamic_reconfigure_options(
  cfg/PositionJointTrajectoryActionServer.cfg
  cfg/VelocityJointTrajectoryActionServer.cfg
  cfg/PositionFFJointTrajectoryActionServer.cfg
  cfg/GripperActionServer.cfg
  cfg/HeadActionServer.cfg
)

add_dependencies(${PROJECT_NAME}_gencfg baxter_core_msgs_generate_messages_py)

catkin_package(
  CATKIN_DEPENDS
  rospy
  actionlib
  sensor_msgs
  std_msgs
  control_msgs
  trajectory_msgs
  dynamic_reconfigure
  baxter_core_msgs
)

install(
  DIRECTORY scripts/
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

=== debian/changelog ===
ros-indigo-baxter-interface (1.2.0-0trusty) trusty; urgency=high

  * Added an optional parameter to Limb interface's move_to_joint_positions() to allow it to be aborted by test function
    Thanks to Yoan Mollard (ymollard) for submitting this pull request!
  * Added a wait for the endpoint_state messages to be received before exiting Limb init
  * Fixed a bug in the JTAS that would cause the robot to jump back into the last commanded pose when the
    robot is Disabled/Re-enabled
  * Fixed a bug that would cause the Limb's on_joint_states method to fail if extra <side> joints are added to the
    robot's /robot/joint_states
  * Due to baxter_core_msgs change, updated EndEffectorProperties CUSTOM_GRIPPER to PASSIVE_GRIPPER
  * Due to baxter_core_msgs change, updated head interface's speed range from [0, 100] to [0, 1.0]
  * Due to baxter_core_msgs change, updated Navigator interface to use update Nav topics and lights msg field

 -- Rethink Robotics Inc. <rsdk.support@rethinkrobotics.com>  Mon, 21 Dec 2015 05:00:00 -0000

ros-indigo-baxter-interface (1.1.1-0trusty) trusty; urgency=high

  * Fixed a bug that caused the JTAS to error with a path of one or two points is supplied as a trajectory

 -- Rethink Robotics Inc. <rsdk.support@rethinkrobotics.com>  Fri, 15 May 2015 04:00:00 -0000

ros-indigo-baxter-interface (1.1.0-0trusty) trusty; urgency=high

  * Updates baxter_interface to ROS Indigo
  * Upgrades to the Indigo robot required a reworking of how cameras power **on** / **off** - Three cameras can no longer be powered at the same time, and closing cameras turns power **off** to the specified camera and **on** to the other two
  * Updates joint trajectory action server to use new Inverse Dynamics Feed Forward Commands and configurations for smoother & more accurate MoveIt trajectory execution
  * Updates joint trajectory action server default control mode from *position* to *position_w_id* which uses 'raw' joint position control
  * Updates joint trajectory action server to replace linear, cubic, and quintic spline fitting with *Cubic Bezier Spline* interpolation. These splines can use Position, Velocity, and/or Acceleration to more accurately interpolate supplied trajectories
  * Adds head trajectory action server interface for controlling Baxter's head pan joint (thanks to @aginika for contributing this)
  * Updates verification of Gripper software versions to check firmware Build Date instead of Build Version (SDK gripper version 1.1 conflicted with Manufacturing versions)

 -- Rethink Robotics Inc. <rsdk.support@rethinkrobotics.com>  Fri, 02 Jan 2015 05:00:00 -0000

ros-indigo-baxter-interface (1.0.0-0trusty) trusty; urgency=high

  * Adds new 'raw' joint position control mode
  * Updates robot_enable to validate SDK versus robot software versions
  * Updates joint trajectory action server adding linear, cubic and quintic spline fitting
  * Updates joint trajectory action server adding raw joint position control mode option for trajectory execution
  * Updates joint trajectory action server allowing execution parameters from messages to override parameter server options
  * Updates Limb class to use tcp_nodelay transport hint for joint states, endpoint state, and joint commands
  * Updates Limb class move_to_joint_positions adding optional accuracy threshold argument
  * Updates Gripper class to validate compatible gripper firmware versions
  * Updates Gripper class adding signaling on type, gripping, and moving state changes
  * Updates Gripper class adding convenience reset methods for reverting custom gripper properties
  * Updates Navigator class wheel_changed signal to use difference since last value
  * Renames Gripper class hardware_version to hardware_name
  * Fixes Head's nod incorrect wait_for validation

 -- Rethink Robotics Inc. <rsdk.support@rethinkrobotics.com>  Thu, 01 May 2014 04:00:00 -0000

ros-indigo-baxter-interface (0.7.0-0trusty) trusty; urgency=high

  * Creation of baxter_interface repository from sdk-examples/baxter_interface package.
  * Adds joint torque control through the Limb interface.
  * Significant joint position accuracy improvements. Low level controls are responsible. The limb interface exploits these gains by introducing a low-pass filter in the move_to_joint_positions method allowing the robot to achieve <0.5 degrees accuracy across each joint.
  * Adds ability to set joint position command execution speed.
  * Package restructure in support of Catkin expected standards.
  * Limb interface API changes. Supports introduction of new singular joint command message, baxter_core_msgs/JointCommand, allowing for control in joint position, velocity and torque modes. The set_command_timeout method has been added to allow user specification of a safety timeout for joint velocity or torque control mode. If this timeout is not met, the robot will disable. Upon exiting one of these control modes, the user must specify another new method exit_control_mode which will enter the robot back into position control mode which has no command timeout.
  * Gripper interface API changes. Supports introduction of new gripper plugin robot interface. This new robot gripper software requires the use of the three main baxter_core_msgs gripper messages, EndEffectorCommand, EndEffectorState, and EndEffectorProperties. Commands to the gripper now require json strings containing the parameters which will describe the grippers actuation as well as the commands for execution.
  * Adds ability to specify a gripper/object mass.
  * Cameras interface adds ability to reset cameras. Useful if not all cameras are enumerated at boot.
  * Adds gripper action server. Follows standard ROS gripper action type control_msgs/GripperCommand.
  * Digital IO interface now uses signals/slots method.
  * Digital IO interface now uses read-only state property (no longer callable).
  * Adds clear_calibration to gripper interface. Sequences gripper commands for robust usage.


=== debian/control ===
Source: ros-indigo-baxter-interface
Section: misc
Priority: extra
Maintainer: Rethink Robotics Inc. <rsdk.support@rethinkrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-baxter-core-msgs, ros-indigo-catkin, ros-indigo-control-msgs, ros-indigo-dynamic-reconfigure, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-trajectory-msgs
Homepage: http://sdk.rethinkrobotics.com
Standards-Version: 3.9.2

Package: ros-indigo-baxter-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-baxter-core-msgs, ros-indigo-control-msgs, ros-indigo-dynamic-reconfigure, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-trajectory-msgs
Description: Convenient python interface classes for control of the Baxter Research Robot from Rethink Robotics.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-baxter-interface//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
